<?
include 'config.php';
include 'func.php';
head();
ban();
aut();

echo head . 'Мой ночной клуб' . div . katalog;
####################Запись онлайна##################
mysql_query("UPDATE `profile` SET `online` = 'my_nightclub' WHERE `id` = '".$id_session."'");
####################################################
function img($msg){$img = '<img src="my_nightclub_images/' . $msg . '" alt="" /> ';return $img; };
function back($url){echo "</div><div class='menu_razd'><img src='my_nightclub_images/3.png' alt='' /> <a href='?mod=$url'>Назад</a></div>\n";return;};
function div($text){echo "<div class='menu_razd'>$text</div>\n";return;};
function preg($a, $metod, $n){
 if ( $n == 1 ) $nabor = 'a-zA-Z0-9_'; else $nabor = '0-9';
 if ( $metod == 'POST')
  If (!isset($_POST[$a]) || !preg_match("!^[" . $nabor . "]+$!i",$_POST[$a])) $result = false; else $result = $_POST[$a]; 
 else
  If (!isset($_GET[$a]) || !preg_match("!^[" . $nabor . "]+$!i",$_GET[$a])) $result = false; else $result = $_GET[$a];
 if ( $a == 'apparat' and $result != 'column' and $result != 'console' and $result != 'tv' and $result != 'lumiere'  ) $result = false;
return $result;
};


$s = mysql_fetch_array ( mysql_query ("SELECT * FROM `my_nightclub_settings` WHERE `id` = '1' LIMIT 1"));
$mod = preg('mod', 'GET', 1);
if ( mysql_num_rows ( mysql_query ("SELECT * FROM `my_nightclub_user` WHERE `login`='$user[login]'") )==1){
$info = mysql_fetch_array ( mysql_query ("SELECT * FROM `my_nightclub_user` WHERE `login`='$user[login]' LIMIT 1"));
} else {
div('Создание клуба');
if ( isset($_POST['name']) ){
If (!isset($_POST['name']) || !preg_match("!^[\x80-\xFFA-z0-9_ ]+$!i",$_POST['name'])) $name=false; else $name= mysql_escape_string ( htmlspecialchars ( $_POST['name'] ) ); $error='';
if ( $name == false ) $error.= 'Неверное название клуба.<br />';
if ( strlen($name )<3 || strlen($name)>21) $error.= 'Название должно состоять из 4 - 20 символов!<br />';
if ( mysql_num_rows ( mysql_query ("SELECT * FROM my_nightclub_user WHERE name_club = '$name'") )==1) $error.= 'Такой клуб уже существует.<br />';
if(!empty($error)) { 
echo "<font color='red'>$error</font><br />\n
<form action='?' method='post'>
Название клуба:<br />\n
<input type='text' name='name' maxlength='20' /><br />\n
<input type='submit' value='Создать' /></form>\n";
} else {
mysql_query( "INSERT INTO `my_nightclub_user` SET `login` = '$user[login]', `name_club` = '$name', `money` = '$s[initial_money]', `date`='" . time() . "', `date_money`='" . time() . "'");
echo "Клуб с названием <b>$name</b> успешно создан.<br />\n";
div('<a href="?">В игру</a>');
}
}else{echo "Вы открываете свой ночной клуб. У вас немного аппаратуры и $s[initial_money] " . img('1.gif') . "<br />\n
<form action='?' method='post'>
Название клуба:<br />\n
<input type='text' name='name' maxlength='20' /><br />\n
<input type='submit' value='Создать' /></form>\n";}
navig();
foot();
EXIT;}
switch ($mod) {

case 'cocktail':
div('Пополнение коктелей');
if ( $info['cocktail'] < $info['lvl'] * 10 ){
 $kol = ( $info['lvl'] * 10 - $info['cocktail'] );
 $money = $kol * $s['cocktail_money'];
 if ( $info['money'] >= $money  ) echo "Вы добавили $kol коктелей потратив при этом $money " . img('1.gif') . "\n";
 else{
  $kol = floor ($info[money] / $s[cocktail_money]);
  $money = $kol * $s[cocktail_money];
  echo "Вы добавили $kol коктелей потратив при этом $money " . img('1.gif') . "\n";}
  mysql_query( "UPDATE `my_nightclub_user` SET `money` = `money` - '$money', `cocktail` = `cocktail` + '$kol'  WHERE `login` = '$info[login]' LIMIT 1");
}else echo "У вас и так максимальное количество коктелей.<br />\n";
back('');
break;

case 'imp':
$apparat = preg('apparat', 'GET', 1);
$arrey = array ("column"=>"колонки","console"=>"пульт","tv"=>"телевизор","lumiere"=>"светомузыка");
div('Улучшение аппаратуры: ' . $arrey[$apparat]);
if ( $apparat != false ){
 $money = ( $info[$apparat.'_lvl'] + 1 ) * $s[$apparat.'_money'];
 if ( $info['money'] >= $money ){
  if ( $info['lvl'] > $info[$apparat.'_lvl'] ){
   echo "Вы успешно улучшили " . $arrey[$apparat] . ".<br /> Потрачено " . $money . " " . img('1.gif') . " <br />Крутость клуба увеличилась на " . $s[$apparat.'_esc'] . ".<br />\n";
   mysql_query( "UPDATE `my_nightclub_user` SET `money` = `money` - " . $money . ", " . $apparat . "_lvl = " . $apparat . "_lvl + 1, `escarpment` = `escarpment` + " . $s[$apparat.'_esc'] . " WHERE `login` = '$info[login]' LIMIT 1");
  } else echo "Для улучшения нужен выше уровень.<br />\n";
 } else echo "Недостаточно " . ( $money - $info['money'] ) . " " . img('1.gif') . "<br />\n";
} else echo "Такой аппаратуры в клубе нет.<br />\n";
back('');
break;

case 'sit':
$apparat = preg('apparat', 'GET', 1);
$arrey = array ("column"=>"колонки","console"=>"пульт","tv"=>"телевизор","lumiere"=>"светомузыка");
div('Аппаратура: ' . $arrey[$apparat]);
if ( $apparat != false ){
echo "Тукущий уровень: <b>" . $info[$apparat.'_lvl'] . "</b><br />\n
Добовляет крутости: <b>" . ( $info[$apparat.'_lvl'] * $s[$apparat.'_esc'] ) . "</b><br />\n
Крутости за уровень: <b>" . $s[$apparat.'_esc'] . "</b><br />\n
Стоимость улучшения: <b>" . ( ( $info[$apparat.'_lvl'] + 1 ) * $s[$apparat.'_money'] ) . " " . img('1.gif') . "</b><br />\n";
if ( $info['lvl'] <= $info[$apparat.'_lvl'] ) echo "Для улучшения нужен выше уровень.<br />\n"; else echo "<a href='?mod=imp&amp;apparat=$apparat'>Улучшить</a><br />\n";
} else echo "Такой аппаратуры в клубе нет.<br />\n";
back('');
break;

case 'liaders':
div('Лидеры среди клубов');
$user_info = mysql_fetch_assoc(mysql_query("SELECT * FROM `my_nightclub_user` WHERE `money` = (SELECT MAX(money) FROM `my_nightclub_user` LIMIT 1)"));
echo "Самый богатый клуб:<br />$user_info[login] ($user_info[name_club]): <b>$user_info[money]</b> " . img('1.gif') . "<br />\n";
$user_info = mysql_fetch_assoc(mysql_query("SELECT * FROM `my_nightclub_user` WHERE `escarpment` = (SELECT MAX(escarpment) FROM `my_nightclub_user` LIMIT 1)"));
echo "Самый крутой клуб:<br />$user_info[login] ($user_info[name_club]): <b>$user_info[escarpment]</b> крутости<br />\n";
$user_info = mysql_fetch_assoc(mysql_query("SELECT * FROM `my_nightclub_user` WHERE `only_visitors` = (SELECT MAX(only_visitors) FROM `my_nightclub_user` LIMIT 1)"));
echo "Самый посещаемый клуб:<br />$user_info[login] ($user_info[name_club]): <b>$user_info[only_visitors]</b> посещений<br />\n";
$user_info = mysql_fetch_assoc(mysql_query("SELECT * FROM `my_nightclub_user` WHERE `only_cocktail` = (SELECT MAX(only_cocktail) FROM `my_nightclub_user` LIMIT 1)"));
echo "Самый популярный бар:<br />$user_info[login] ($user_info[name_club]): <b>$user_info[only_cocktail]</b> выпито коктелей<br />\n";
back('');
break;

case 'stat':
div('Статистика клубов');
echo "Всего клубов <b>" . mysql_num_rows ( mysql_query( " SELECT * FROM `my_nightclub_user` " ) ) . "</b><br />\n";
back('');
break;

case 'about_game':
div('Об игре');
echo "Название: <b>Мой ночной клуб</b><br />\n
Версия: <b>1.38</b><br />\n
Разработчик: <b>Klesh</b> ICQ: 419 502 384<br />\n"; //прозьба не менять и не убирать эту строку. Пусть пользователи пишут мне идеи по улучшению этой игры для создания новых обновлений которые бесплатны купившим у меня данную игру.
echo "<b>Все идеи по улучшению игры пишите в асю автора!</b><br />\n
Описание игры:<br />\n
В игре <b>Мой ночной клуб</b> вы становитесь владельцем ночного клуба. Покупая новое оборудование и декорации вы повышаете крутость своего клуба тем самым увеличивая посещаемость своего ночного клуба. Не забывайте пополнять коктели в баре для большого дохода. Зарабатывайте, повышайте уровень своего клуба и получайте награды за успехи своего клуба! Всем приятно игры.<br />\n";
back('');
break;

case 'stat_my_club':
div('Статистика моего клуба');
echo "Всего было поситителей: <b>$info[only_visitors]</b><br />\n
Всего выпито коктелей: <b>$info[only_cocktail]</b><br />\n
Дата открытия: " . date ( "d.m.Y в H:i", $info['date'] ) . " <br />\n";
back('');
break;

case 'awards':
div('Награды');
echo "1) За каждый уровень вы получаете по одной золотой монетке " . img('2.png') . "<br />\n
2) За определенное количество посещений вы получаете по золотой монетке " . img('2.png') . "<br />\n
<small>Кол. посещений - награда</small><br />\n
2000 - 1 " . img('2.png') ."\n";
if ( $info['only_visitors'] >= 2000 ) echo img('6.png'); else echo img('5.png');
echo "<br />5000 - 2 " . img('2.png') . "\n";
if ( $info['only_visitors'] >= 5000 ) echo img('6.png'); else echo img('5.png');
echo "<br />20000 - 5 " . img('2.png') . "\n";
if ( $info['only_visitors'] >= 20000 ) echo img('6.png'); else echo img('5.png');
echo "<br />50000 - 10 " . img('2.png') . "\n";
if ( $info['only_visitors'] >= 50000 ) echo img('6.png'); else echo img('5.png');
echo "<br />100000 - 20 " . img('2.png') . "\n";
if ( $info['only_visitors'] >= 100000 ) echo img('6.png'); else echo img('5.png');
echo "<br />3) За определенное количество выпитых коктелей вы получаете по золотой монетке " . img('2.png') . "<br/>\n
<small>Кол. выпитых коктелей - награда</small><br/>\n
100 - 1 " . img('2.png') . "\n";
if ( $info['only_cocktail'] >= 100 ) echo img('6.png'); else echo img('5.png');
echo "<br />500 - 2 " . img('2.png') . "\n";
if ( $info['only_cocktail'] >= 500 ) echo img('6.png'); else echo img('5.png');
echo "<br />2000 - 5 " . img('2.png') . "\n";
if ( $info['only_cocktail'] >= 2000 ) echo img('6.png'); else echo img('5.png');
echo "<br />5000 - 10 " . img('2.png') . "\n";
if ( $info['only_cocktail'] >= 5000 ) echo img('6.png'); else echo img('5.png');
echo "<br />10000 - 20 " . img('2.png') . "\n";
if ( $info['only_cocktail'] >= 10000 ) echo img('6.png'); else echo img('5.png');
echo "<br />\n";
back('');
break;

case 'scenery':
div('Декорации');
 if ( isset($_GET['go']) ) {
 echo "<b>Результат:</b><br />\n";
  if ( $info['gold'] >= $info['scenery_lvl'] + 1 ) {
   mysql_query( "UPDATE `my_nightclub_user` SET  `gold` = `gold` - " . ( $info['scenery_lvl'] + 1 ) . ", `scenery_lvl` = `scenery_lvl` + 1, `escarpment` = `escarpment` + '$s[scenery_esc]' WHERE `login` = '$info[login]' LIMIT 1");
   $info = mysql_fetch_array ( mysql_query ("SELECT * FROM `my_nightclub_user` WHERE `login`='$user[login]' LIMIT 1"));
   echo "Вы успешно улучшили декорации до <b>$info[scenery_lvl]</b> уровня.<br />\n";
  } else echo "Недостаточно золотых монет <b>" . ( $info['scenery_lvl'] + 1 - $info['gold'] ) . "</b> " . img('2.png') . "<br />\n";
 }
echo "Тукущий уровень: <b>$info[scenery_lvl]</b><br />\n
Добовляет крутости: <b>" . ( $info['scenery_lvl'] * $s['scenery_esc'] ) . "</b><br />\n
Крутости за уровень: <b>$s[scenery_esc]</b><br />\n
Стоимость улучшения: <b>" . ( $info['scenery_lvl'] + 1 ) . " " . img('2.png') . "</b><br />\n";
if ( $info['gold'] >= $info['scenery_lvl'] + 1 ) echo "<a href='?mod=scenery&amp;go'>Улучшить</a><br />\n"; else echo "Недостаточно золотых монет для улучшения.<br />\n";
back('');
break;

case 'exchange_2':
div('Обменный пункт');
$kol = preg('kol', 'POST', 0);
$t = preg('t', 'POST', 0);
echo 'Результат:<br />';
if ( $kol != false AND $kol != 0 ) {
 if ( $t == 1 || $t == 2 || $t == 3 ) {
  if ( $user['balls'] >= $kol ){
   if ( $t == 1 ) {
    echo "Вы успешно обменяли <b>$kol</b> баллов на <b>" . ( $kol * $s['balls_money'] ) . "</b> долларов " . img('1.gif') . "<br />\n";
    mysql_query( "UPDATE `my_nightclub_user` SET `money` = `money` + " . ( $kol * $s['balls_money'] ) . " WHERE `login` = '$user[login]' LIMIT 1");
    mysql_query( "UPDATE `user` SET `balls` = `balls` - " . $kol . " WHERE `nick` = '$user[login]' LIMIT 1");
   } elseif ( $t == 2) {
   $gold = floor ( $kol / $s['balls_gold'] );
    echo "Вы успешно обменяли <b>" . ( $gold * $s['balls_gold'] ) . "</b> баллов на <b>$gold</b> золотых монет " . img('2.png') . "<br />\n";
    mysql_query( "UPDATE `my_nightclub_user` SET `gold` = `gold` + " . $gold . " WHERE `login` = '$user[login]' LIMIT 1");
    mysql_query( "UPDATE `user` SET `balls` = `balls` - " . ( $gold * $s['balls_gold'] ) . " WHERE `nick` = '$user[login]' LIMIT 1");
   } elseif ( $info['gold'] >= $kol ) {
    echo "Вы успешно обменяли <b>$kol</b> золотых монет " . img('2.png') . " на <b>" . ( $kol * $s['gold_balls'] ) . "</b> баллов.<br />\n";
    mysql_query( "UPDATE `my_nightclub_user` SET `gold` = `gold` - " . $kol . " WHERE `login` = '$user[login]' LIMIT 1");
    mysql_query( "UPDATE `user` SET `balls` = `balls` + " . ( $kol * $s['gold_balls'] ) . " WHERE `nick` = '$user[login]' LIMIT 1");
   } else echo "У вас нету столько золотых монет.<br />\n";
  } else echo "У вас нет столько баллов.<br />\n";
 } else echo "Обмен не возможен.<br />\n";
} else echo "Не верное количество.<br />\n";
back('exchange');
break;

case 'exchange':
div('Обменный пункт');
echo "
У вас <b>$user[balls]</b> баллов и <b>$info[gold]</b> золотых монет " . img('2.png') . "<br />\n
Курс:<br />\n
Один балл = $s[balls_money] доллар " . img('1.gif') . "<br />\n
$s[balls_gold] баллов = 1 золотая монета " . img('2.png') . "<br />\n
Золотая монета " . img('2.png') . " =  $s[gold_balls] баллов<br />\n
<form action='?mod=exchange_2' method='post'>
Кол. баллов:<br />\n
<input type='text' name='kol' maxlength='30'/><br />\n
Меняем на:<br />\n
<input type='radio' name='t' value='1' checked='checked'/>Доллары " . img('1.gif') . "<br /> \n
<input type='radio' name='t' value='2'/>Золотые монеты " . img('2.png') . "<br />\n
<input type='radio' name='t' value='3'/>Баллы<br />\n
<input type='submit' value='Обменять'/></form><br />\n";
back('');
break;

case 'all_club':

div('Сортировка:');
$sort = preg('sort', 'GET', 1);
if ( $sort == false ) $sort_k = "ORDER BY id";
elseif ( $sort == 'lvl' ) $sort_k = "ORDER BY lvl DESC";
elseif ( $sort == 'money' ) $sort_k = "ORDER BY money DESC";
elseif ( $sort == 'escarpment' ) $sort_k = "ORDER BY escarpment DESC";
else { $sort_k = "ORDER BY id"; $sort = false; }
if ( $sort == false ) $name = "<font color='red'>Без сортировки</font>"; else $name = "Без сортировки";
echo "<a href='?mod=all_club'>$name</a> | ";
if ( $sort == 'lvl' ) $name = "<font color='red'>Уровень</font>"; else $name = "Уровень";
echo "<a href='?mod=all_club&amp;sort=lvl'>$name</a> | ";
if ( $sort == 'money' ) $name = "<font color='red'>Бюджет</font>"; else $name = "Бюджет";
echo "<a href='?mod=all_club&amp;sort=money'>$name</a> | ";
if ( $sort == 'escarpment' ) $name = "<font color='red'>Популярность</font>"; else $name = "Популярность";
echo "<a href='?mod=all_club&amp;sort=escarpment'>$name</a>";
div('Все клубы:');
$sql = mysql_query ("SELECT * FROM `my_nightclub_user` $sort_k") or die(mysql_error());
while ( $guest = mysql_fetch_assoc($sql) )
{
echo $guest['login'] . " ($guest[name_club]) ";
if ( $sort == 'lvl' ) echo "Уровень: $guest[lvl] ";
if ( $sort == 'money' ) echo "Бюджет: $guest[money] ";
if ( $sort == 'escarpment' ) echo "Крутость: $guest[escarpment] ";
echo "<br />\n";
}

back('');
break;

default:
 if ( $info['date_money'] + 60 * 5 < time() )
 {
  $lvl_up = 0; $gold = 0;
  $kol = floor ( ( time() - $info['date_money'] ) / ( 60 * $s['time_date_money'] ) );
  $visitors = floor( $info['escarpment'] / $s['visitors'] ) * $kol;
  $cocktail = rand(0, $visitors/3);
   if ( $cocktail > $info['cocktail'] ) $cocktail = $info['cocktail'];
  $money = ( $visitors * $s['bilet_money'] ) + ( $cocktail * $s['cocktail_money'] * 2 );
  $exp = substr($money / ( $s['exp_money'] + ( $info['lvl'] * 2 ) ), 0, 5);
  $arrey_v = array ('2000', '5000', '20000', '50000', '100000');
  $arrey_v_n = array ("2000"=>"1", "5000"=>"2", "20000"=>"5", "50000"=>"10", "100000"=>"20");
  $arrey_c = array ('100', '500', '2000', '5000', '10000');
  $arrey_c_n = array ("100"=>"1", "500"=>"2", "2000"=>"5", "5000"=>"10", "10000"=>"20");  
  $final = TRUE; $v_a = TRUE; $c_a = TRUE;
  for ($i=0;$final == TRUE AND $i < 5; $i++) if ( $arrey_v[$i] >= $info['only_visitors'] ) {$v_a = $arrey_v[$i]; $final = FALSE; } else $v_a = false;
  $final = TRUE;
  for ($i=0;$final == TRUE AND $i < 5; $i++) if ( $arrey_c[$i] > $info['only_cocktail'] ) {$c_a = $arrey_c[$i]; $final = FALSE; } else $c_a = false;  
  if ( $v_a != false AND $info['only_visitors'] + $visitors >= $v_a)$gold = $arrey_v_n[$v_a];
  if ( $c_a != false AND $info['only_cocktail'] + $cocktail >= $c_a )$gold = $arrey_c_n[$c_a]; 
   mysql_query( "UPDATE `my_nightclub_user` SET `money` = `money` + '$money', `cocktail` = `cocktail` - '$cocktail', `exp` = `exp` + '$exp',`date_money` = " . ( $info['date_money'] + ( $kol * 60 * $s['time_date_money'] ) )  . ",  `only_cocktail` = `only_cocktail` + '$cocktail', `only_visitors`= `only_visitors` + '$visitors', `gold` = `gold` + '$gold'  WHERE `login` = '$info[login]' LIMIT 1") or die(mysql_error());
   if ( $info['exp'] + $exp >= $info['lvl'] * $s['exp_lvl'] ) {
   mysql_query( "UPDATE `my_nightclub_user` SET `lvl` = `lvl` + 1, `exp` = 0, `gold` = `gold` + 1 WHERE `login` = '$info[login]' LIMIT 1");
   $lvl_up = 1; $exp = 0; $gold++;}
   $info = mysql_fetch_array ( mysql_query ("SELECT * FROM `my_nightclub_user` WHERE `login`='$user[login]' LIMIT 1"));
 }else{$money = 0; $gold = 0; $exp = 0; $lvl_up = 0; $cocktail = 0; }

div('Клуб: '. $info['name_club']);
echo "Бюджет: <b>$info[money]</b>\n";
 if ( $money != 0 ) echo "+".$money;
echo img('1.gif') . "<br />\n
Золотых монет: <b>$info[gold]</b>\n";
 if ( $gold != 0 ) echo "+".$gold;
echo img('2.png') . "<br />\n
Уровень клуба: " . img('4.png') . "<b>$info[lvl]</b><br />\n
Опыт: <b>" . floor($info['exp']) . "</b>/" . ($info['lvl'] * $s['exp_lvl']);
 if ( $exp != 0 ) echo "+" . $exp;
 if ( $lvl_up != 0 ) echo " Новый уровень";
echo "<br />Коктелей: <b>$info[cocktail]</b>/" . ($info['lvl'] * 10);
 if ( $cocktail != 0 ) echo "-" . $cocktail;
echo " " . img('8.gif') . "<br />\nКрутость клуба: <b>$info[escarpment]</b> " . img('9.gif') . "\n";
div('Обстановка клуба');
echo img('12.png') . "<a href='?mod=sit&amp;apparat=column'>Колонки</a> (ур. $info[column_lvl])<br />\n
" . img('12.png') . "<a href='?mod=sit&amp;apparat=console'>Пульт</a> (ур. $info[console_lvl])<br />\n
" . img('12.png') . "<a href='?mod=sit&amp;apparat=tv'>Телевизор</a> (ур. $info[tv_lvl])<br />\n
" . img('12.png') . "<a href='?mod=sit&amp;apparat=lumiere'>Светомузыка</a> (ур. $info[lumiere_lvl])<br />\n
" . img('12.png') . "<a href='?mod=scenery'>Декорации</a> (ур. $info[scenery_lvl])\n";
div('Меню');
echo img('8.gif') . "<a href='?mod=cocktail'>Пополнить коктели</a><br />\n
" . img('10.gif') . "<a href='?mod=stat_my_club'>Статистика моего клуба</a><br />\n
" . img('7.png') . "<a href='?mod=awards'>Награды</a><br />\n
" . img('11.png') . "<a href='?mod=exchange'>Обменный пункт</a>\n";
div('Разное');
echo img('14.png') . "<a href='?mod=all_club'>Все клубы</a><br />\n
" . img('7.png') . "<a href='?mod=liaders'>Лидеры</a><br />\n
" . img('10.gif') . "<a href='?mod=stat'>Статистика</a><br />\n
" . img('13.gif') . "<a href='?mod=about_game'>Об игре</a>\n </div>";
if ( $user['level'] >= 4 ) echo div('<a href="my_nightclub_a.php">Админка</a><br />');

break;
}
echo "<b><a href='games.php'>В игры</a></b><br />\n";
navig();
foot();
?>